package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "kmt_homework_wrong_question")
public class KmtHomeworkWrongQuestion extends BaseEntity {

    private static final long serialVersionUID = 3061402905883944457L;

    private String homeworkId;  //作业id
    private String homeworkPictureId;//作业图片id
    private String questionId;//错题题目id
    private String spaceIndex;//错空编号
    private String correctSpaceIndex; //对空编号
    private String studentId;//学生id
    private Integer type;//错题类型：1为答错，2为未完成
    private Boolean isDelete;
    private Date updateTime;//更新时间
    private Date createTime;//创建时间
    /**
     * 用于家长端错题本错题是否显示
     */
    private boolean isWrongQuesDelete;
    @Column( updatable = false)
    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }
    @Column( updatable = false)
    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getSpaceIndex() {
        return spaceIndex;
    }

    public void setSpaceIndex(String spaceIndex) {
        this.spaceIndex = spaceIndex;
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean isDelete) {
        this.isDelete = isDelete;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public boolean getIsWrongQuesDelete() {
        return isWrongQuesDelete;
    }

    public void setIsWrongQuesDelete(boolean wrongQuesDelete) {
        isWrongQuesDelete = wrongQuesDelete;
    }

    public String getCorrectSpaceIndex() {
        return correctSpaceIndex;
    }

    public void setCorrectSpaceIndex(String correctSpaceIndex) {
        this.correctSpaceIndex = correctSpaceIndex;
    }
}
